div.form-row.border-bottom-secondary.mb-2
  div.form-group.col-12
    h5.card-title.mb-0.text-gray-800
      span.fas.fa-images.mr-2
      span Imagenes
div.form-row.mb-4
  div.form-group.col-12.col-lg-4
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-tag
      select([(ngModel)]="tTiposImagenesActual",
          size-select="sm",
          (change)="FiltrarImagenes()").ControlInput--Select
        option(*ngFor="let tTipoImg of tTipos",
            [ngValue]="tTipoImg")  {{ tTipoImg.Codtipo }}
  div.form-group.col-12.col-lg-8.custom-file
    input(type="file",
        [disabled]="BloquearImagen()",
        #flArchivo="",
        accept=".jpg",
        (change)="CargarImagenes($event)",
        multiple)#flArchivo.custom-file-input
    label(for="flArchivo").custom-file-label Seleccionar archivos
div.form-row.mt-4
  div.ContenedorImagenes
    div.ContenedorImagenes--Cabecera
      div.col-4
        h6.Carrito--Cabecera-ColumnaEtiqueta Imagen
      div.col-2
        h6.Carrito--Cabecera-ColumnaEtiqueta Principal
      div.col-2
        h6.Carrito--Cabecera-ColumnaEtiqueta Ver
      div.col-2
        h6.Carrito--Cabecera-ColumnaEtiqueta Eliminar
      div.col-2
        h6.Carrito--Cabecera-ColumnaEtiqueta Orden
    div.ContenedorImagenes--Detalles
      ng-container(*ngFor="let tImagenFor of tArticuloImgFiltrado | slice: (tPaginaImagen-1) * tTamanoPagImagen : (tPaginaImagen-1) * tTamanoPagImagen + tTamanoPagImagen; let jv = index;")
        div([ngClass]="{'border-left-primary':tImagenFor.Principal===1}").ContenedorImagenes--Item
          div.col-4
            div.ContenedorImagenes--Item-Imagen
              img([src]="ObtenerUrl(tImagenFor.Url)", alt="").ContenedorImagenes--Item-Imagen
          div.col-2
            button(type="button",
                (click)="ImagenPrincipal(tImagenFor)",
                *ngIf="tImagenFor.Principal===0").btn.btn-success.btn-sm
              span.fas.fa-star
          div.col-2
            button(type="button",
                (click)="SeleccionarImagen(tImagenFor)").btn.btn-primary.btn-sm
              span.fas.fa-eye
          div.col-2
            button(type="button",
                (click)="EliminarImagen(tImagenFor, jv)").btn.btn-danger.btn-sm
              span.fas.fa-trash-alt
          div.col-2
            div.row
              div.col-12
                button(type="button",
                    (click)="SubirOrden(tImagenFor)").btn.btn-link.btn-sm
                  span.fas.fa-caret-up
            div.row
              div.col-12
                h6.ContenedorImagenes--Item-Titulo {{ tImagenFor.Orden }}
            div.row
              div.col-12
                button(type="button",
                    (click)="BajarOrden(tImagenFor)").btn.btn-link.btn-sm
                  span.fas.fa-caret-down
    div.ContenedorImagenes--Paginacion
      div.form-group.col-12
        ngb-pagination([collectionSize]="tArticuloImgFiltrado.length",
                        [(page)]="tPaginaImagen",
                        aria-label="Default pagination",
                        [pageSize]="tTamanoPagImagen",
                        [maxSize]="5",
                        [rotate]="true",
                        [ellipses]="false",
                        [boundaryLinks]="true").d-flex.justify-content-center
  div.ContendorImagenDetalle
    ng-container(*ngIf="tArticuloImgFiltrado.length === 0")
      div.row.text-center.align-middle
        div.col-12
          img(src="assets/ImagenesArticulos.svg").ContendorImagenDetalle--ImagenDetalle
    ng-container(*ngIf="tArticuloImgFiltrado.length > 0 && tTiposImagenesActual.Codtipo === 'GALERIA'")
      div.row.text-center.align-middle
        div.col-12
          img([src]="ObtenerUrl(tArticuloImgActual.Url)").ContendorImagenDetalle--ImagenDetalle
    ng-container(*ngIf="tArticuloImgFiltrado.length > 0 && tTiposImagenesActual.Codtipo === 'SPRITE'")
      div.row.text-center.align-middle
        div.col-12
          img([src]="ObtenerUrl(tArticuloImgActual.Url)").ContendorImagenDetalle--ImagenDetalle
      div.row.text-center.align-middle
        div.col-12
          input(type="range",
            min="0",
            [max]="tArticuloImgFiltrado.length",
            [(ngModel)]="tPosicionSprite",
            (input)="MostrarImagenes()").custom-range
